Summary: XView libraries for X11
Name: xview
Version: 3.2p1.pl2
Release: 4
Source0: ftp.x.org:/contrib/libraries/xview3.2p1-X11R6.tar.gz
Source1: sunsite.unc.edu:/pub/Linux/X11/window-managers/olvwm4-truecolor.tar.gz
Source2: openwin
Source3: Xinitrc.ol
Source4: openwin-menu-programs
Patch0: xview3.2p1-X11R6-LinuxELF.2.diff.gz
Patch1: xview3.2p1-X11R6-LinuxElf-noshared.patch
Patch2: xview-ncurses.patch
Patch3: olvwm4-bison.patch
Copyright: Distributable
Group: X11/Libraries
ExcludeArch: axp

%description
XView provides a set of pre-built, user-interface objects such as
canvases, scrollbars, menus, and control panels.  The appearance and
functionality of these objects follow the OPEN LOOK Graphical User
Interface (GUI) specification.

This is the Sun implementation of the OpenLook interface standard, using
the xview libraries. While somewhat outdated and superseded by Motif, it
is still very useful, especially in providing compatibility with older
installations.

%package clients
Group: X11/Window
Summary: OpenWindows clients.

%description clients
A number of clients and utilties for OpenWindows, including olwm, textedit,
and more. Also included is olvwm, the OpenWindows virtual window manager,
with support for 24-bit color modes.

%package devel
Summary: Header files and static libraries for XView development
Group: Development/Libraries

%description devel
All the files needed to develop applications that, using the XView libraries,
meet the Open Look interface specifications.

%package devel-examples
Requires: xview-devel
Summary: A number of example programs and tutorials for the XView libraries.
Group: Development/Libraries

%description devel-examples
Sample programs - with source code - that cover the basics of XView
programming are included in this package.

Also includes documents on the XView API (Application Programming Interface).

%prep
%setup -b 0 -n xview3.2p1-X11R6
%patch0 -p1 -b .linux-patch
tar -xzf $RPM_SOURCE_DIR/olvwm4-truecolor.tar.gz

%ifarch axp
%patch1 -p1 
%endif
%patch2 -p1
%patch3 -p1

# Required - for some reason the build process doesn't copy olgx.h over...
mkdir -p build/include/olgx
cp -f lib/libolgx/olgx.h build/include/olgx/olgx.h

%build
# This spec file is really messed up, simply because it
# is impossible to build the clients without installing the libs.
# So we just install everything in the build, then
# use %install for miscellaneous setup.
. Build-LinuxXView.bash libs instlibs clients instclients
cd olvwm4
xmkmf -a
make
make install

%install

ln -sf /usr/openwin/lib/.text_extras_menu /usr/lib/.text_extras_menu
install -m755 $RPM_SOURCE_DIR/openwin /usr/openwin/bin/openwin
install -m644 $RPM_SOURCE_DIR/openwin-menu-programs /usr/openwin/lib
mkdir -p /usr/openwin/lib/app-defaults
install -m755 $RPM_SOURCE_DIR/Xinitrc.ol /usr/openwin/lib/Xinitrc

/sbin/ldconfig

%post
if [ ! -f /etc/man.config ]; then
	echo "MANPATH /usr/openwin/man" > /etc/man.conf
else
	if ! grep '^MANPATH /usr/openwin/man' /etc/man.config > /dev/null; then
		echo "MANPATH /usr/openwin/man" >> /etc/man.config
	fi
fi
if [ ! -f /etc/ld.so.conf ]; then
        echo "/usr/openwin/lib" > /etc/ld.so.conf
else
        if ! grep '^/usr/openwin/lib$' /etc/ld.so.conf > /dev/null; then
                echo "/usr/openwin/lib" >> /etc/ld.so.conf
        fi
fi

/sbin/ldconfig

%postun

if [ $1 = "0" ]; then
    grep -v /usr/openwin/lib /etc/ld.so.conf > /etc/ld.so.conf.net
    mv -f /etc/ld.so.conf.net /etc/ld.so.conf
    grep -v /usr/openwin/man /etc/man.config > /etc/man.config.net
    mv -f /etc/man.config.net /etc/man.config
fi

/sbin/ldconfig

%files
%config /usr/openwin/lib/app-defaults
/usr/openwin/lib/libolgx.so.3.2.2
/usr/openwin/lib/libxview.so.3.2.2

%files clients
/usr/lib/.text_extras_menu
/usr/openwin/lib/help
/usr/openwin/lib/text_extras_menu
/usr/openwin/lib/.text_extras_menu
/usr/openwin/lib/textswrc
/usr/openwin/lib/.textswrc
/usr/openwin/lib/ttyswrc
/usr/openwin/lib/.ttyswrc
/usr/openwin/lib/openwin-menu
/usr/openwin/lib/openwin-menu-programs
/usr/openwin/lib/Xinitrc
/usr/openwin/bin
/usr/openwin/man
/usr/openwin/include/images
/usr/openwin/include/bitmaps

%files devel
/usr/openwin/include/olgx/*.h
/usr/openwin/lib/libolgx.so
/usr/openwin/lib/libxview.so
/usr/openwin/include/olgx_private/*.h
/usr/openwin/include/xview/*.h
/usr/openwin/include/xview_private/*.h
/usr/openwin/include/pixrect/*.h
/usr/openwin/lib/libxview.a
/usr/openwin/lib/libolgx.a

%files devel-examples
/usr/openwin/share/src
/usr/openwin/share/doc
